Bug 146937 - Satellite entitlement certificate tool should pull company name from Oracle account not web info
Satellite entitlement certificate tool should pull company name from Oracle a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Slagle
Máirín Duffy
:
Depends On:
Blocks: 147875
  Show dependency treegraph
 
Reported: 2005-02-02 16:09 EST by Joe deBlaquiere
Modified: 2007-04-18 13:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-31 22:51:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe deBlaquiere 2005-02-02 16:09:42 EST
Currently, the tool pulls the customer name from the web contact "Company"
field. This information has proven to be less reliable than the "Oracle Customer
Name" field from the Oracle account.
Comment 1 James Slagle 2005-07-12 14:16:04 EDT
Joe, can you elaborate on what field you'd like?  It looks like the tool is
pulling the owner field in a satellite cert from the web_customer.name column.
Comment 2 James Slagle 2005-07-19 12:48:27 EDT
Updated rhn-svn/trunk/eng/web/modules/sniglets/Sniglets/Org.pm and
rhn-svn/trunk/eng/web/modules/rhn/RHN/DB/Org.pm in svn to pull company name from
web_user_personal_info instead of web_customer.

This is still kind of a dirty process.  web_user_personal_info are actually
login records, not org records.  However, the company name there is what is most
commonly reflected in Supportable.  This is b/c a user will log into WWW, update
their company name, it's then saved in web_user_personal_info, and then the www
proc sync_customer pulls from web_user_personal_info and syncs to the Oracle
backend.

So, pulling from web_user_personal_info is much more accurate of a company name
instead of web_customer.name.  

Issues:
1. web_user_personal_info.company is a nullable field.  In the case where it's
null, the cert code will still have to pull from web_customer.name.  It is
rarely null for orgs with satellite.
2. Folks in support can actually manually overwrite the customer name from the
backend side.  In which case the web, is not aware of the change, and if
sync_customer is ever called again for that org, the changes made by support
would be then be overwritten.  RHN has no aware of being aware of these manual
changes, unless it connected to predhi to query them, or an api was built to get
the data.

After talking with Bobby T and Kathi Bean, this is one of the items that is
going to be eventually cleaned up in the OCS project.
Comment 3 James Slagle 2005-07-22 11:01:38 EDT
Testplan
========
1. Login to an account on qa that has the ability to create/view certs through
the RHN Support Tools tab.  If you don't have an account with these privileges,
let me know and I'll create one or add the privileges to an existing account.
2. Click on the RHN Support Tools tab.
3. Search by Org(id), and enter org id 2758802.
4. Click on the Entitlements tab.
5. Click on Create new Satellite certificate in the upper right corner.
6. On the next screen the Owner field should say Iron Mountain, as opposed to
Pat Smith.
7. Scroll to the bottom and click View cert.
8. In the text box, the owner field should be Iron Mountain.
9. Scroll to the bottom and click Back.
10.  Click Download cert at the bottom.
11.  Download the cert to your local machine and verify that in the saved cert
file, the owner field is Iron Mountain.

If all steps pass, the bug passes.
Comment 4 Máirín Duffy 2005-08-03 16:11:48 EDT
looks good!

Note You need to log in before you can comment on or make changes to this bug.